Subject: [apps-discuss] APPSDIR Review of draft-ietf-mpls-tp-use-cases-and-design-06.txt

From: Joseph Yee <[email-masked]>
Date: Wed, 6 Feb 2013 12:10:32 -0500

I have been selected as the Applications Area Review Team reviewer for
this draft (for background on apps-review, please see
http://www.apps.ietf.org/content/applications-area-review-team).

Please resolve these comments along with any other Last Call comments
you may receive. Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-mpls-tp-use-cases-and-design-06
Title: MPLS-TP Applicability; Use Cases and Design
Reviewer: Joseph Yee
Review Date: Feb 6, 2013

Summary: This draft is ready for publication, would be better if the
editorial changes can put into the draft.

Major Issues:
none

Minor Issues:
(1) "Applicability" in Abstract and Introduction
"This document provides applicability, use case studies and network
design considerations for the Multiprotocol Label Switching Transport
Profile (MPLS-TP)."

Mostly because of how my brain was wired (or how my high school
teacher wired my brain). When I see text structured this way, I'm
expecting three sections rather than two.  Note I have no issues about
the discussion of applicability in this draft at all.  Then I realized
more from how the title was written that it's a draft with two major
topic sections rather than three.

My suggestion for the text:
"This document provides the applicability of Multiprotocol Label
Switching Transport Profile (MPLS-TP) with use case studies and
network design considerations."

(2) Section 1 Introduction 5th paragraph
"LSP Ping Extension for on-demand CC-CV [RFC6426], fault allocation,
and remote integrity check."
"and switch-over triggering with Link Defect Indication (LDI)"
Any reference for the 'fault allocation, and remote integrity check"
and LDI that could be added to the draft?

(3) Section 2 Terminology: 4G
"4G       4th Generation Mobile network: LTE"
This is close to nits.  '4G' is not only LTE right?  Do you mean to
use 4G to refer only LTE is this draft?  If the section title "4G/LTE
Mobile Backhaul" and its text at section 3.3.2 does not confuse
readers who is more familiar with the topic, I don't think this is an
issue.

Nits:
(1) Terminology through out the draft
There are several occasions where acronyms were not logged in the
terminology section (ex. PW), and some text don't use terminology
consistently (ex. SP vs service provider).  These are not the only
two, but I think RFC Editors provides the best help in this regard.

(2) Section 7 Acknowledgements
"...  thank Stewart for his text contribution on timing ..."
Stewart who?  ;)

Best Regards,
Joseph Yee

---

From: Joseph Yee <[email-masked]>
Date: Thu, 7 Feb 2013 10:09:29 -0500

Glad that you find the review helpful.  I looked into the attached draft
and it addressed all issues from the review.

Cheers
Joseph

On Wed, Feb 6, 2013 at 10:51 PM, Luyuan Fang (lufang) <[email-masked]>wrote:

> Hi Joseph,
>
> Thank you very much for your review and comments, really appreciate your
> help!
> I updated the document based on your comments (see in-line for details),
> also acknowledged your review and comment in the doc.
>
> I attached the updated text file here.
>
> Thanks,
> Luyuan
>
>
> -----Original Message-----
> From: Joseph Yee <[email-masked]>
> Date: Wednesday, February 6, 2013 9:10 AM
> To: "[email-masked]"
> <[email-masked]>,
> "[email-masked]" <[email-masked]>
> Subject: APPSDIR Review of draft-ietf-mpls-tp-use-cases-and-design-06.txt
> Resent-From: <[email-masked]>
> Resent-To: <[email-masked]>, <[email-masked]>, Luyuan Fang
> <[email-masked]>, <[email-masked]>, Nabil Bitar
> <[email-masked]>, <[email-masked]>,
> <[email-masked]>, <[email-masked]>,
> <[email-masked]>
> Resent-Date: Wednesday, February 6, 2013 9:11 AM
>
> [luyuan] Yes, this is better, I replaced the old text with your suggested
> text.
> >
> [luyuan] Good point.
> Reading through that paragraph again, I removed "fault allocation, and
> remote integrity check." The tools for fault allocation and remote
> integrity check are LSP Ping extension and LDI, and they are covered in
> the text.
>
>
> For LDI, I added reference [RFC6427].
>
> >
> [luyuan] You are right, 4G includes more than LTE. I removed LTE in the
> terminology definition for 4G.
>
> >
> >
> >Nits:
> [luyuan] Added PW in the terminology.
> I scanned through the doc, both "SP" and "Service Provider" are used, did
> not see any lower case occasions. I think it is OK. Will work with RFC
> editor if changes are needed.
>
> >
> [luyuan] Fixed, -> "Stewart Bryant".
> >
> >Best Regards,
> >Joseph Yee
>
> Thanks,
> Luyuan
>
>

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Thu, 7 Feb 2013 03:51:18 +0000

Hi Joseph,

Thanks,
Luyuan

-----Original Message-----
From: Joseph Yee <[email-masked]>
Date: Wednesday, February 6, 2013 9:10 AM
To: "[email-masked]"

[luyuan] Good point.

Thanks,
Luyuan

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Thu, 7 Feb 2013 15:28:09 +0000

Great, thank you again, Joseph!
Luyuan

From: Joseph Yee <[email-masked]<mailto:[email-masked]>>
Date: Thursday, February 7, 2013 7:09 AM
To: Luyuan Fang <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: APPSDIR Review of draft-ietf-mpls-tp-use-cases-and-design-06.txt

Glad that you find the review helpful.  I looked into the attached draft and it addressed all issues from the review.

Cheers
Joseph

On Wed, Feb 6, 2013 at 10:51 PM, Luyuan Fang (lufang) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Joseph,

Thanks,
Luyuan

-----Original Message-----
From: Joseph Yee <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, February 6, 2013 9:10 AM
To: "[email-masked]<mailto:[email-masked]>"
<[email-masked]<mailto:[email-masked]>>,
"[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: APPSDIR Review of draft-ietf-mpls-tp-use-cases-and-design-06.txt
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Luyuan Fang
<[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Nabil Bitar
<[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>,
<[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>,
<[email-masked]<mailto:[email-masked]>>
Resent-Date: Wednesday, February 6, 2013 9:11 AM

[luyuan] Good point.

Thanks,
Luyuan